//
//  AppDelegate.m
//  LocationApp_Sample
//
//  Copyright (c) 2012 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "AppDelegate.h"

#import "MainViewController.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{	
	if (launchOptions != nil)
	{
		id locationVal = [launchOptions objectForKey:UIApplicationLaunchOptionsLocationKey];
		if (locationVal != nil)
		{
            MainViewController *mainViewController = nil;
            
            if ([self.window.rootViewController isKindOfClass:[UINavigationController class]])
            {
                UINavigationController *navigationController = (UINavigationController *)self.window.rootViewController;
                if ([navigationController.viewControllers[0] isKindOfClass:[MainViewController class]])
                {
                    mainViewController = (MainViewController *)navigationController.viewControllers[0];
                }
            }
            
            if (mainViewController != nil)
            {
                [mainViewController setDebugLogText:@"ハンドオーバーによりOSがアプリを再起動"];
                
                [mainViewController stopDown:nil];
                [mainViewController startDown:nil];
            }
		}
	}
    
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
}

- (void)applicationWillTerminate:(UIApplication *)application
{
}

@end
