//
//  ServerConnection.h
//  LocationApp_Sample
//
//  Copyright (c) 2022 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <Foundation/Foundation.h>

@interface ServerConnection : NSObject

/* トークン発行リクエスト */
- (void)requestGetToken:(NSString *)url clientId:(NSString *)clientId secret:(NSString *)secret response:(NSHTTPURLResponse **)response data:(NSDictionary **)data error:(NSError **)error;

/* 位置蓄積サーバリクエスト */
- (void)requestUploadLogs:(NSString *)url tokenId:(NSString *)tokenId apikey:(NSString *)apikey json:(NSString *)jsonString response:(NSHTTPURLResponse **)response data:(NSDictionary **)data error:(NSError **)error;

/* レスポンスコード成功判定 */
- (BOOL)isResponseOK:(NSHTTPURLResponse *)response;

@end
